<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{51650B00-4CA6-41FF-8CB6-165FCACC3B51}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>HeuristicLab.Problems.PFSP</RootNamespace>
    <AssemblyName>HeuristicLab.Problems.PFSP-3.3</AssemblyName>
    <TargetFrameworkVersion>v4.5.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\..\bin\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\..\bin\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <SignAssembly>true</SignAssembly>
  </PropertyGroup>
  <PropertyGroup>
    <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Analyzers\BestSchedulingSolutionAnalyzer.cs" />
    <Compile Include="Analyzers\SchedulingAnalyzer.cs" />
    <Compile Include="Evaluators\AwesomeMakeSpanEvaluator.cs" />
    <Compile Include="Evaluators\MakeSpanEvaluator.cs" />
    <Compile Include="Evaluators\PFSPEvaluator.cs" />
    <Compile Include="Interfaces\IMakespanEvaluator.cs" />
    <Compile Include="JobMatrix.cs" />
    <Compile Include="Interfaces\IPFSPEvaluator.cs" />
    <Compile Include="PermutationFlowshopSchedulingProblem.cs" />
    <Compile Include="Plugin.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\HeuristicLab.Collections\3.3\HeuristicLab.Collections-3.3.csproj">
      <Project>{958b43bc-cc5c-4fa2-8628-2b3b01d890b6}</Project>
      <Name>HeuristicLab.Collections-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\HeuristicLab.Common.Resources\3.3\HeuristicLab.Common.Resources-3.3.csproj">
      <Project>{0e27a536-1c4a-4624-a65e-dc4f4f23e3e1}</Project>
      <Name>HeuristicLab.Common.Resources-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\HeuristicLab.Common\3.3\HeuristicLab.Common-3.3.csproj">
      <Project>{A9AD58B9-3EF9-4CC1-97E5-8D909039FF5C}</Project>
      <Name>HeuristicLab.Common-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\HeuristicLab.Core\3.3\HeuristicLab.Core-3.3.csproj">
      <Project>{C36BD924-A541-4A00-AFA8-41701378DDC5}</Project>
      <Name>HeuristicLab.Core-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\HeuristicLab.Data\3.3\HeuristicLab.Data-3.3.csproj">
      <Project>{BBAB9DF5-5EF3-4BA8-ADE9-B36E82114937}</Project>
      <Name>HeuristicLab.Data-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\HeuristicLab.Encodings.IntegerVectorEncoding\3.3\HeuristicLab.Encodings.IntegerVectorEncoding-3.3.csproj">
      <Project>{DDFB14DD-2A85-493C-A52D-E69729BBAEB0}</Project>
      <Name>HeuristicLab.Encodings.IntegerVectorEncoding-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\HeuristicLab.Encodings.PermutationEncoding\3.3\HeuristicLab.Encodings.PermutationEncoding-3.3.csproj">
      <Project>{DBECB8B0-B166-4133-BAF1-ED67C3FD7FCA}</Project>
      <Name>HeuristicLab.Encodings.PermutationEncoding-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\HeuristicLab.Encodings.ScheduleEncoding\3.3\HeuristicLab.Encodings.ScheduleEncoding-3.3.csproj">
      <Project>{17F3EF80-B2C3-4B8D-A4D5-BE9CE3BA2606}</Project>
      <Name>HeuristicLab.Encodings.ScheduleEncoding-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\HeuristicLab.Operators\3.3\HeuristicLab.Operators-3.3.csproj">
      <Project>{23DA7FF4-D5B8-41B6-AA96-F0561D24F3EE}</Project>
      <Name>HeuristicLab.Operators-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\HeuristicLab.Optimization\3.3\HeuristicLab.Optimization-3.3.csproj">
      <Project>{14AB8D24-25BC-400C-A846-4627AA945192}</Project>
      <Name>HeuristicLab.Optimization-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\HeuristicLab.Parameters\3.3\HeuristicLab.Parameters-3.3.csproj">
      <Project>{56F9106A-079F-4C61-92F6-86A84C2D84B7}</Project>
      <Name>HeuristicLab.Parameters-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\HeuristicLab.Persistence\3.3\HeuristicLab.Persistence-3.3.csproj">
      <Project>{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}</Project>
      <Name>HeuristicLab.Persistence-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\3.3\HeuristicLab.PluginInfrastructure-3.3.csproj">
      <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
      <Name>HeuristicLab.PluginInfrastructure-3.3</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\HeuristicLab.Problems.Instances\3.3\HeuristicLab.Problems.Instances-3.3.csproj">
      <Project>{3540E29E-4793-49E7-8EE2-FEA7F61C3994}</Project>
      <Name>HeuristicLab.Problems.Instances-3.3</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="HeuristicLab.snk" />
    <None Include="Plugin.cs.frame" />
    <None Include="Properties\AssemblyInfo.cs.frame" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
set ProjectDir=$(ProjectDir)
set SolutionDir=$(SolutionDir)
set Outdir=$(Outdir)

call PreBuildEvent.cmd
</PreBuildEvent>
  </PropertyGroup>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>